(
	vrayMatClasses = #(	VRayFastSSS, VRayFastSSS2, VRayScatterVolume, VRaySkinMtl, VRayHairMtl, VRayHairNextMtl, VRayOverrideMtl, VRayPluginNodeMtl, VRayPointParticleMtl, 
						VRaySimbiontMtl, VRayStochasticFlakesMtl, VRaySwitchMtl, VRayToonMtl, VRayVectorDisplBake, VRayVRmatMtl, VRayGLSLMtl, VRayOSLMtl, VRayMDLMtl, 
						VRayScannedMtl, VRayMtlWrapper, VRayMtl, VRayLightMtl, VRay2SidedMtl, VRayALSurfaceMtl, VRayBlendMtl, VRayBumpMtl, VRayCarPaintMtl, VRayFlakesMtl, 
						VRayCarPaintMtl2, VRayFlakesMtl2)
	
	offendingMaterials = #()
	isMatOffending = true					
						
	fn scanMats =
	(
		for m in scenematerials do 
		(
			isMatOffending = true
			for c in vrayMatClasses do
			(
				if classof m == c do exit with isMatOffending = false	
			)
			if isMatOffending do append offendingMaterials m
		)
	)
	
	fn putMatsToMtlEditor = 
	(
		if offendingMaterials.count != 0 then
		(
			for i = 1 to offendingMaterials.count do
			(
				if i < 25 do
				(
					meditmaterials[i] = offendingMaterials[i]
				)
				if i >= 25 do
				(
					exit with messageBox ("There are " + (offendingMaterials.count - 24 ) as string + " more materials than can be put to the material editor. Convert some and run the script again.")
				)
			)
		)
		else messageBox "There are no non-V-Ray materials in the scene"
	)	

	scanMats()
	putMatsToMtlEditor()

)


